Rensei docs

List the agent cards an external-agent registration can allow (org admin).

List the agent cards an external-agent registration can allow (org admin). - Rensei REST API operation reference.

GET
/api/org/{orgId}/dispatchable-cards

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Path Parameters

orgId*string

Organization id (must match the authenticated org).

Response Body

Allowlistable cards, sorted by name.

application/json
  1. response
cards*array<>
Example Request
curl -X GET 'https://app.rensei.ai/api/org/string/dispatchable-cards'
Example Response
{  "cards": [    {      "ref": "string",      "name": "string",      "description": "string",      "workType": "string",      "scope": "system",      "projectId": "string"    }  ]}